# Class FixedTablesInput

java.lang.Object
uk.ac.starlink.ttools.task.FixedTablesInput

All Implemented Interfaces:
  `TablesInput`

public class FixedTablesInput extends Object implements TablesInput
TablesInput which has a fixed number of input tables. Each input table gets its own numbered table parameter and (if requested) filter parameter - in1, in2, in3, ... and icmd1, icmd2, icmd3, ...

Since:
  1 Jul 2010
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`FixedTablesInput(int nIn, boolean useInFilters)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`FilterParameter`
`getFilterParameter(int i)`
Returns a parameter used for acquiring an input filter for one of the numbered input tables.
`InputTableSpec[]`
`getInputSpecs(uk.ac.starlink.task.Environment env)`
Returns an array of InputTableSpec objects describing the input tables used by this task.
`InputTableParameter`
`getInputTableParameter(int i)`
Returns a parameter used for acquiring one of the numbered input tables.
`uk.ac.starlink.task.Parameter<?>[]`
`getParameters()`
Returns the parameters associated with this object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FixedTablesInput

public FixedTablesInput(int nIn, boolean useInFilters)
Constructor.

Parameters:
  `nIn` - number of input tables
  `useInFilters` - whether to use input filter parameters

## Method Details

### getParameters

public uk.ac.starlink.task.Parameter<?>[] getParameters()
Description copied from interface: `TablesInput`
Returns the parameters associated with this object.

Specified by:
  `getParameters` in interface `TablesInput`
Returns:
  parameters

### getInputSpecs

public InputTableSpec[] getInputSpecs(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Description copied from interface: `TablesInput`
Returns an array of InputTableSpec objects describing the input tables used by this task.

Specified by:
  `getInputSpecs` in interface `TablesInput`
Parameters:
  `env` - execution environment
Returns:
  input table specifiers
Throws:
  `uk.ac.starlink.task.TaskException`

### getInputTableParameter

public InputTableParameter getInputTableParameter(int i)
Description copied from interface: `TablesInput`
Returns a parameter used for acquiring one of the numbered input tables.

Behaviour is undefined if you ask for a table index not applicable to this input.

Specified by:
  `getInputTableParameter` in interface `TablesInput`
Parameters:
  `i` - table index (0-based)
Returns:
  table input parameter

### getFilterParameter

public FilterParameter getFilterParameter(int i)
Description copied from interface: `TablesInput`
Returns a parameter used for acquiring an input filter for one of the numbered input tables.

Behaviour is undefined if you ask for a table index not applicable to this input.

Specified by:
  `getFilterParameter` in interface `TablesInput`
Parameters:
  `i` - table index (0-based)
Returns:
  input filter parameter